From 768f7e50a6d9a3db4e4eef45dcb4c56e9b580389 Mon Sep 17 00:00:00 2001
From: Matt Jolly <kangie@gentoo.org>
Date: Sun, 9 Feb 2025 21:12:43 +1000
Subject: [PATCH] Update libz cross-compile patch for 9999 (1.86.0)

See-also: https://paste.sr.ht/~kchibisov/682321e0fd4a3ece4a4b7b71591896f5cd3cdb22
See-also: https://github.com/gentoo/gentoo/pull/35246#discussion_r1484525497
--- a/compiler/rustc_llvm/build.rs
+++ b/compiler/rustc_llvm/build.rs
@@ -219,13 +219,7 @@ fn main() {
     // of llvm-config, not the target that we're attempting to link.
     let mut cmd = Command::new(&llvm_config);
     cmd.arg(llvm_link_arg).arg("--libs");
-
-    // Don't link system libs if cross-compiling unless targeting Windows.
-    // On Windows system DLLs aren't linked directly, instead import libraries are used.
-    // These import libraries are independent of the host.
-    if !is_crossed || target.contains("windows") {
-        cmd.arg("--system-libs");
-    }
+    cmd.arg("--system-libs");
 
     // We need libkstat for getHostCPUName on SPARC builds.
     // See also: https://github.com/llvm/llvm-project/issues/64186
-- 
2.48.0
